#!/bin/bash

echo "] Setup helper scripts ... "
cp -v scripts/k.sh /usr/local/bin/k
cp -v scripts/health.sh /usr/local/bin/health
cp -v scripts/logs-proxy.sh /usr/local/bin/logs-proxy
cp -v scripts/tcp-proxy.sh /usr/local/bin/tcp-proxy
cp -v scripts/omega-tunnel.sh /usr/local/bin/omega-tunnel
cp -v scripts/create-sa.sh /usr/local/bin/create-sa
cp -v scripts/podspernode.sh /usr/local/bin/podspernode

echo "] Setup k autocomplete ..."
echo "source <(kubectl completion bash)" > /root/.bashrc
echo "complete -F __start_kubectl k" >> /root/.bashrc

echo "] Setup k9s ... "
curl -L https://github.com/derailed/k9s/releases/download/v0.24.10/k9s_v0.24.10_Linux_x86_64.tar.gz -o /tmp/k9s.tar.gz
tar xzvf /tmp/k9s.tar.gz k9s
mv -v k9s /usr/local/bin
rm /tmp/k9s.tar.gz